
#main_map {width: 100%; height: calc(100vh - 140px); max-width: 100%}
.ymaps-2-1-79-balloon__content {font: 16px/20px Open Sans, sans-serif;}
.map-container {position: relative;}
.legend-wrapper { display: none; width: 295px; border-radius: 10px; position: absolute; top: 0px; right: 64px; background: #fff; cursor: pointer; padding: 24px 8px 24px 24px; }

.layers-block {
	width: clamp(290px, 17.54vw, 333px);
	position: absolute; 
	top: 20px; right: 20px; padding: 10px; 
	background: #fff; 
	cursor: pointer;
	border-radius: 10px;
	font-weight: 300;

}
.legend-icon {display: inline-block; width: 20px; margin: 0; flex: 0 0 auto;}
.legend-name {display: inline-block; margin-top: 0;}
.legend-block {top: 94px; right: 21px; position: absolute; background-color:#fff;}
.legend-block ul, .layers-block ul {display: none;}
.legend-block.open ul, .layers-block.open ul {display: block;}
.legend-block.open ul {max-height: calc(100vh - 317px); overflow-y: auto;}

.legend-block.open .legend-wrapper, .layers-block.open ul {display: block;}

.layers-header {display: flex; justify-content: space-between;} 
.legend-block ul li {display: flex; align-items: center; font-weight: 400; gap: 10px;}

.legend-block ul li + li {margin-top: 16px;}

.legend-header {
	font-size: 20px;
	font-weight: 500;
	padding: 6px;
	display: flex;
	justify-content: space-between;
	align-items: center;
}
	
.legend-header {font-size: clamp(1rem, 1.1vw, 1.25rem);}

.layers-header {
	font-size: 20px;
	font-weight: 500;
	padding: 6px;
	display: flex;
	justify-content: space-between;
	align-items: center;
	font-size: clamp(1rem, 1.1vw, 1.25rem);}

.layers-block { width: clamp(290px, 17.54vw, 333px); box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.15);}
.legend-block { 
        width: clamp(52px, 3.3vw, 55px);
        height: clamp(52px, 3.3vw, 55px);
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 10px;
        max-width: clamp(52px, 3.3vw, 55px) !important;
        box-shadow: 0 1px 2px 1px rgba(0, 0, 0, .15), 0 2px 5px -3px rgba(0, 0, 0, .15);
	}
	
.legend-title {font-size: 18px;}

.layers-block ul {margin-top: 7px; margin-bottom: 7px; padding: 0 6px;}
.legend-block ul {margin-top: 15px; padding-right: 18px;}
.layers-block.open .layers-header > img {transform: rotate(180deg);}
.layers-block input[type="checkbox"] + label:not(.error) {display: flex;}

body .ymaps-2-1-79-zoom {
    width: 42px;
    height: 89px !important;
    border-radius: 12px;
    background: #FFF;
    box-shadow: 0px 4px 20px 0px rgba(0, 0, 0, 0.25);
    box-sizing: border-box !important;
    padding: 44px 0;
	/*top: calc((100vh - 455px) / 2);*/
    
}

body .ymaps-2-1-79-float-button.ymaps-2-1-79-_pressed, 
body .ymaps-2-1-79-float-button:active {
    background-color: transparent;
	border-radius: 12px;
	
} 

body .ymaps-2-1-79-float-button {
    height: 44px;
    border-radius: 0;
    background-color: transparent;
	padding-left: 41px;
	box-shadow: none;
	border: none;
}

body .ymaps-2-1-79-zoom .ymaps-2-1-79-zoom__plus .ymaps-2-1-79-zoom__icon {
    opacity: 1;
    width: 100%;
    height: 100%;
    border: none;
    background-image: url(./zoom-plus.svg);
    left: 0;
    top: 0;
    background-position: center center;
}

body .ymaps-2-1-79-zoom__minus .ymaps-2-1-79-zoom__icon {
	opacity: 1;
    width: 100%;
    height: 100%;
    border: none;
    background-image: url(./zoom-minus.svg);
    left: 0;
    top: 0;
    background-position: center center;
}
body .ymaps-2-1-79-hint {box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.15); border-radius: 4px;}
body .ymaps-2-1-79-hint__text{
	font-size: 16px;
	font-family: Roboto;
	font-weight: 500;
	line-height: normal;
	letter-spacing: 0.32px;
	text-transform: none;
	padding: 7px 16px;
	border-radius: 4px;
}

body .ymaps-2-1-79-listbox__button-icon.ymaps-2-1-79-_icon_layers {
	width: 29px; 
	height: 29px; 
	background: url(./layers_icon.svg) center center no-repeat;
}

body .ymaps-2-1-79-listbox__button { 
	display: flex;
	align-items: center;
    justify-content: center;
	border-radius: 10px; 
	width: 55px; 
	height: 55px;
}


@media (max-width: 1270px) {

	#main_map {height: calc((var(--vh, 1vh) * 100) - 98px);}	
}

@media (max-width: 767px) {

	#main_map {height: calc((var(--vh, 1vh) * 100) - 93px);}	
}

.listminerals .list_item .listpoints {display: none;}
.listminerals .list_item.open .listpoints {display: block; padding: 12px 0 0 25px; }
.listminerals .listpoints .point_item + .point_item {margin-top: 10px;}
.listminerals {overflow-y: auto; max-height: 444px;}
.listminerals .list_item {padding: 12px 16px; border-bottom: 1px solid #EDEDED; position: relative;}
.listminerals .list_item:last-child {border-bottom: none;}
.listminerals .listpoints .point_item  {
	display: flex;
    align-items: center;
}

.listminerals::-webkit-scrollbar {
	width: 4px;		
}

.listminerals::-webkit-scrollbar-track {
	background: #EDEDED;		
}

.listminerals::-webkit-scrollbar-thumb {
	background: #CECECE;	
	border-radius: 2px;   
}

.listminerals > .list_item > a {display: flex; padding-right: 22px;}
.listminerals .list_item.open a > img.cluster-arrow { transform: rotate(180deg);} 
 
.listminerals .count {color: #008DD2;}


@media (min-width: 992px){
	
}
.ymaps-2-1-79-balloon__layout {overflow: visible}
.cluster-arrow {position: absolute; top: 16px; right: 16px;}
.ymaps-2-1-79-balloon__content .hidden-desktop {display: none;}

body .ymaps-2-1-79-default-cluster {
	font-size: 12px;
	font-style: normal;
	font-weight: 600;
	font-family: Open Sans;
	line-height: 39px !important;}

@media (max-width: 991px) {
	
	.ymaps-2-1-79-balloon_layout_panel {
		box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.15);
		bottom: 75px; 
		left: 22px; 
		right: 22px; 
		border-radius: 8px;
	}
	
	.ymaps-2-1-79-balloon__content .hidden-desktop {
		display: block;
		padding: 12px 16px; 
		font-family: Roboto;
		font-size: 20px;
		font-weight: 500;
		line-height: 140%;
		border-bottom: 1px solid #EDEDED;
	} 
	.listminerals { max-height: calc(100% - 53px);}
	.cluster-arrow {top: 14px;}
	html, body{
		-webkit-overflow-scrolling: touch;
	}
	.legend-wrapper {
		width: calc(100vw - 44px);
		padding: 15px 8px 16px 16px;
		left: 0;
		right: 0;
		transform: translateY(calc(-100% - 10px));
	}
	.legend-block.open ul {max-height: calc(100vh - 377px);margin-top: 10px;}
	.legend-block ul li {font-size: 14px;}
	
	body .export-excel {bottom: 84px;}
}

.ymaps-2-1-79-copyrights-pane {display: none;}

body .ymaps-2-1-79-controls__toolbar_right .ymaps-2-1-79-float-button {margin-top: 14px; background-color: #fff; height: 28px; width: 28px;margin-right: 20px; padding-left: unset;}

.legend-icon {width: 16px; height: 16px; border-radius: 2px;}

.ymaps-2-1-79-controls__bottom .ymaps-2-1-79-float-button-icon {
    left: 50%;
    transform: translateX(-50%);
}

@media (min-width: 1271px) {
	body .ymaps-2-1-79-listbox__panel_animation_show {margin-top: -53px; transform: translateX(-60px) !important;}
}
.export-excel {position: absolute;bottom: 24px; margin: 0 24px;}
.map .ymaps-2-1-79-controls__bottom .ymaps-2-1-79-_hidden-text.ymaps-2-1-79-float-button:not(.ymaps-2-1-79-zoom__button) {
    padding-left: 0;
    height: 52px;
    border-radius: 10px;
    max-width: unset !important;
    border: none;
}
.map .ymaps-2-1-79-controls__bottom .ymaps-2-1-79-_hidden-text.ymaps-2-1-79-float-button .ymaps-2-1-79-float-button-icon.ymaps-2-1-79-float-button-icon_icon_geolocation {transform: unset;}
.ymaps-2-1-79-controls__bottom .ymaps-2-1-79-float-button {
    width: 55px;
    height: 55px;
    background-color: #fff;
    border-color: transparent;
    padding-left: 55px;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 1px 2px 1px rgba(0, 0, 0, .15), 0 2px 5px -3px rgba(0, 0, 0, .15);
}